import { Where } from '../../types';
import { PayloadRequest } from '../../express/types';
import { Collection, TypeWithID } from '../config/types';
import { PaginatedDocs } from '../../mongoose/types';
export type Arguments = {
    collection: Collection;
    where?: Where;
    page?: number;
    limit?: number;
    sort?: string;
    depth?: number;
    currentDepth?: number;
    req?: PayloadRequest;
    overrideAccess?: boolean;
    disableErrors?: boolean;
    pagination?: boolean;
    showHiddenFields?: boolean;
    queryHiddenFields?: boolean;
    draft?: boolean;
};
declare function find<T extends TypeWithID & Record<string, unknown>>(incomingArgs: Arguments): Promise<PaginatedDocs<T>>;
export default find;
